<template>
  <a-form-model
    ref="ruleForm"
    :model="form"
    :rules="rules"
    :label-col="{ span: 5 }"
    :wrapper-col="{ span: 18 }"
  >
    <a-form-model-item ref="groupName" label="群组名称" prop="groupName">
      <a-input v-model="form.groupName" placeholder="请输入" />
    </a-form-model-item>
    <a-form-model-item label="人员" prop="members">
      <sd-user-picker v-model="form.members" :single="false" :read-only="false" />
    </a-form-model-item>
    <a-form-model-item label="排序号" prop="weight">
      <a-input-number v-model="form.weight" :min="1" placeholder="请输入" />
    </a-form-model-item>
  </a-form-model>
</template>

<script>
// import PageService from '@/common/services/page-service'
import components from './_import-components/sd-add-usergroup-import'
export default {
  name: 'SdAddUsergroup',
  components,
  props: {
    form: {
      type: Object,
      default: function() {
        return {}
      },
    },
    formItems: {
      type: Object,
      default: function() {
        return {}
      },
    },
    rules: {
      type: Object,
      default: function() {
        return {}
      },
    },
  },
  data() {
    return {}
  },
  created() {},
  methods: {},
}
</script>

<style module lang="scss">
@use '@/common/design' as *;
</style>
